1

I know this question has been asked quite a few times before but I couldn't find an answer that suited my situation at all.

So this is what happens. Currently, I am using ArcGIS to map the sewer connections, which have a dataset attached to them (size, length etc.) Once a week I export these to a personal geodatabase called "Sewage.mdb". This file is used by QGIS (which several others use at work) and shows the updated points with the associated detail. All the other people at work do is open the QGIS file shortcut on their desktop and it loads the existing qgis model data from the .mdb file.

Now I am trying to update everyone from QGIS 1.80 to 2.8.2, when I have trialed this I get an error that my sewer connections are going to cause an error because it can't read from the .mdb file. There I get the error, "Sewage.mdb is not a valid layer and can not be added to the map"

TL;DR ArcMap 10 export > Sewage.mdb > QGIS loads Sewage.mdb > error Sewage.mdb is not a valid layer and can not be added to the map.

Also I have tried to add the layername after to see inside of the .mdb file with no luck "|layername=DCCC_Assets_DBO_SewerNetwork_Junctions"

1

I have found a solution to my problem. I spent quite a bit of time trying to find the solution to the 64 bit problem.

Instead, I installed 32bit version of QGIS v2.8.2 and now it works perfectly. Perhaps just a version error. This fixes the solution. 32bit it is.

  • Hopefully this helps others who are looking for a similar answer. Just stick with the 32bit version and this should fix the errors. – Caleb Oct 22 '15 at 5:41
0

The proper solution to the 64-bit problem is addressed in this question: Opening Esri Personal Geodatabase (*.mdb) using QGIS?

Basically, it is to download and install Microsoft Access Database Engine 2010 Redistributable x64

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.